## kde-gtk-config 5.12.8

=== CMakeLists.txt ===
project(kde-gtk-config)
set(PROJECT_VERSION "5.12.8")
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.9 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Widgets Test)
find_package(KF5 REQUIRED COMPONENTS I18n KIO ConfigWidgets NewStuff Archive KCMUtils IconThemes)
find_package(X11 REQUIRED)
find_package(GTK3 REQUIRED)
find_package(GSettingSchemas REQUIRED)

include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/ui
    ${GTK3_INCLUDE_DIRS}
)

include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# Set KI18n translation domain
add_definitions(-DTRANSLATION_DOMAIN=\"kde-gtk-config\")

set(kcm_SRCS
     src/iconthemesmodel.cpp
     src/cursorthemesmodel.cpp
     src/appearancegtk3.cpp
     src/appearancegtk2.cpp
     src/appearencegtk.cpp
     src/abstractappearance.cpp
     src/thread.cpp
     src/installer.cpp
     src/gtkconfigkcmodule.cpp
     src/dialog_installer.cpp
     src/dialog_uninstaller.cpp
     src/fontshelpers.cpp
)

ki18n_wrap_ui(kcm_SRCS
     src/ui/gui.ui
     src/ui/dialog_installer.ui
     src/ui/dialog_uninstaller.ui
)
add_library(kcm_kdegtkconfig MODULE ${kcm_SRCS})
target_compile_definitions(kcm_kdegtkconfig PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kcm_kdegtkconfig ${X11_Xcursor_LIB} ${GIO2_LIBRARY} ${GLIB2_LIBRARY} ${GTK3_LIBRARY} ${GOBJECT2_LIBRARY} KF5::ConfigCore KF5::I18n KF5::KIOWidgets KF5::NewStuff KF5::Archive KF5::NewStuff KF5::ConfigWidgets KF5::IconThemes)

kcoreaddons_desktop_to_json(kcm_kdegtkconfig kde-gtk-config.desktop)

install(TARGETS kcm_kdegtkconfig DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES cgctheme.knsrc cgcgtk3.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES kde-gtk-config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(gtkproxies)
add_subdirectory(gtk3proxies)
add_subdirectory(icons)
add_subdirectory(tests)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
kde-gtk-config (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:38:54 +0100

kde-gtk-config (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:32 +0100

=== debian/control ===
Source: kde-gtk-config
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               libgtk-3-dev,
               libgtk2.0-dev,
               libkf5archive-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5newstuff-dev (>= 5.42.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config

Package: kde-config-gtk-style
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kde-config-gtk-style-preview
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
  .
  This package contains kde-gtk-config module for KDE System Settings and
  common files (icons, localization files and etc).

Package: kde-config-gtk-style-preview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-gtk-style
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
  .
  This package contains binary files for previewing Gtk themes and applying
  them without restarting of Gtk applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kde-gtk-config 5.13.5

=== debian/changelog ===
kde-gtk-config (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks & Qt build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 24 Sep 2018 09:52:53 +0100

kde-gtk-config (4:5.13.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1 (was 4.1.4): no changes required.
  * Update long descriptions of binary packages for fixing errors found by
    lintian: description-contains-invalid-control-statement.
  * Simplify debian/control: drop requirement of specific version of cmake
    (was >= 2.8.12), because even Debian Jessie has cmake version 3.0.2.
  * Simplify debian/rules: stop adding of CPPFLAGS into CXXFLAGS using of
    DEB_CXXFLAGS_MAINT_APPEND as workaround for cmake because debhelper
    already does this since version 9.20120417.
  * Add patch 0001-Fix-spelling-errors.
  * Tiny cosmetic changes in debian/watch.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sun, 23 Sep 2018 23:40:51 +0300

kde-gtk-config (4:5.13.5-0ubuntu2) cosmic; urgency=medium

  * debian/control: fix 'description contains an invalid control
    statement' lintian error.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 22 Sep 2018 21:15:27 +0100

kde-gtk-config (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:31 +0100

kde-gtk-config (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks & Qt build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 04 Sep 2018 16:56:53 +0100

kde-gtk-config (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:17:54 +0200

kde-gtk-config (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:27 +0100

kde-gtk-config (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:27 +0100

kde-gtk-config (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:42:52 +0200

kde-gtk-config (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:40 +0100

kde-gtk-config (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:23:54 +0200

kde-gtk-config (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:23:37 +0100

kde-gtk-config (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:42 +0100

kde-gtk-config (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:29 +0100

kde-gtk-config (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:31 +0100

kde-gtk-config (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Drop removed xdg file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:48 -0300

kde-gtk-config (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:16 +0200

kde-gtk-config (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update build-deps and deps with the info from cmake
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:11 +0200

kde-gtk-config (4:5.10.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0 (was 3.9.8): no changes required.
  * Bump debhelper version to 10 (was 9); update debian/compat.
  * Update debian/control:
    - simpify Build-Depends and sort them using wrap-and-sort tool
    - set Multi-Arch fields to binary packages
  * Update debian/rules:
    - set DEB_CXXFLAGS_MAINT_APPEND, DEB_LDFLAGS_MAINT_APPEND and
      DEB_BUILD_MAINT_OPTIONS variables
    - set DATA_INSTALL_DIR variable in configuration options: it is required
      for correct search of preview.ui file in gtk*_preview programs.
      (These programs have not been working since version 4:5.1.95-0ubuntu1)
  * Add patch fix-search-of-gtk-preview-executables.
    It is required for showing preview buttons in KDE-GTK-config UI.
    (These buttons have not been working since version 4:5.1.95-0ubuntu1)
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 04 Aug 2017 16:59:19 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+Build-Depends: cmake,
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                libgtk-3-dev,
                libgtk2.0-dev,
@@ -18,15 +18,16 @@
                libx11-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Standards-Version: 4.2.1
 
 Package: kde-config-gtk-style
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: kde-config-gtk-style-preview
+Multi-Arch: same
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
  Configuration dialog to adapt GTK+ applications appearance to your taste
  under KDE. Among its many features, it lets you:
@@ -35,14 +36,15 @@
   - Select what icon theme to use in GTK+ applications.
   - Select GTK+ applications default fonts.
   - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
-  .
-  This package contains kde-gtk-config module for KDE System Settings and
-  common files (icons, localization files and etc).
+ .
+ This package contains kde-gtk-config module for KDE System Settings and
+ common files (icons, localization files and etc).
 
 Package: kde-config-gtk-style-preview
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kde-config-gtk-style
+Multi-Arch: same
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
  Configuration dialog to adapt GTK+ applications appearance to your taste
  under KDE. Among its many features, it lets you:
@@ -51,6 +53,6 @@
   - Select what icon theme to use in GTK+ applications.
   - Select GTK+ applications default fonts.
   - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
-  .
-  This package contains binary files for previewing Gtk themes and applying
-  them without restarting of Gtk applications.
+ .
+ This package contains binary files for previewing Gtk themes and applying
+ them without restarting of Gtk applications.

## kde-gtk-config 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kde-gtk-config)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.14.5")
 cmake_minimum_required(VERSION 2.8.12)
 
 find_package(ECM 0.0.9 REQUIRED NO_MODULE)

=== debian/changelog ===
kde-gtk-config (4:5.14.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:30:48 +0800

kde-gtk-config (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:44 -0300

kde-gtk-config (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:28 -0300

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,24 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.42.0~),
+               extra-cmake-modules (>= 0.0.9),
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev (>= 5.42.0~),
-               libkf5configwidgets-dev (>= 5.42.0~),
-               libkf5i18n-dev (>= 5.42.0~),
-               libkf5iconthemes-dev (>= 5.42.0~),
-               libkf5kcmutils-dev (>= 5.42.0~),
-               libkf5kio-dev (>= 5.42.0~),
-               libkf5newstuff-dev (>= 5.42.0~),
+               libkf5archive-dev,
+               libkf5configwidgets-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5kcmutils-dev,
+               libkf5kio-dev,
+               libkf5newstuff-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev,
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
 Standards-Version: 4.2.1
 
 Package: kde-config-gtk-style

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox, fonts-oxygen
Restrictions: build-needed, allow-stderr

## kde-gtk-config 5.15.4

=== debian/changelog ===
kde-gtk-config (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:08:58 +0100

kde-gtk-config (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New required build dep on libqt5svg5-dev. Required for upstream fix
    for: https://bugs.kde.org/show_bug.cgi?id=396586
  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:26 +0000

kde-gtk-config (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:13:04 +0000

kde-gtk-config (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:32:56 +0000

kde-gtk-config (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:31 +0000

kde-gtk-config (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:23:47 +0000

kde-gtk-config (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:47:46 +0000

kde-gtk-config (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * debian/patches: Drop upstream applied 0001-Fix-spelling-errors.patch
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:14:49 +0000

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,25 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 0.0.9),
+               extra-cmake-modules (>= 5.54.0~),
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev,
-               libkf5configwidgets-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5kcmutils-dev,
-               libkf5kio-dev,
-               libkf5newstuff-dev,
+               libkf5archive-dev (>= 5.54.0~),
+               libkf5configwidgets-dev (>= 5.54.0~),
+               libkf5i18n-dev (>= 5.54.0~),
+               libkf5iconthemes-dev (>= 5.54.0~),
+               libkf5kcmutils-dev (>= 5.54.0~),
+               libkf5kio-dev (>= 5.54.0~),
+               libkf5newstuff-dev (>= 5.54.0~),
+               libqt5svg5-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev,
+               qtbase5-dev (>= 5.6.1~),
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
 Standards-Version: 4.2.1
 
 Package: kde-config-gtk-style

## kde-gtk-config 5.16.5

=== debian/changelog ===
kde-gtk-config (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:37 +0100

kde-gtk-config (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:26 +0100

kde-gtk-config (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:46 +0100

kde-gtk-config (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:42 +0100

kde-gtk-config (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:23:10 +0100

kde-gtk-config (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * Move knsrc files to /usr/share/knsrcfiles/ and update add maintscript
    to remove from /etc/xdg/.
  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:25 +0100

kde-gtk-config (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:33 +0100

kde-gtk-config (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev (>= 5.54.0~),
-               libkf5configwidgets-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5iconthemes-dev (>= 5.54.0~),
-               libkf5kcmutils-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5newstuff-dev (>= 5.54.0~),
+               libkf5archive-dev (>= 5.58.0~),
+               libkf5configwidgets-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5iconthemes-dev (>= 5.58.0~),
+               libkf5kcmutils-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5newstuff-dev (>= 5.58.0~),
                libqt5svg5-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.15.16),

## kde-gtk-config 5.18.4.1

=== CMakeLists.txt ===
project(kde-gtk-config)
set(PROJECT_VERSION "5.18.4")
cmake_minimum_required(VERSION 3.10)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS DBus)
find_package(KF5CoreAddons REQUIRED)
find_package(KF5Config REQUIRED)
find_package(KF5IconThemes REQUIRED)
find_package(KF5DBusAddons REQUIRED)
find_package(GTK3 REQUIRED)
find_package(GSettingSchemas REQUIRED)
find_package(XSettingsd)

include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

set_package_properties(XSettingsd PROPERTIES
    DESCRIPTION "XSettingsd daemon"
    TYPE RUNTIME
    PURPOSE "Allows GTK Config kded module to apply settings to GTK applications on the fly"
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake kded/config.h)

add_subdirectory(gtkproxies)
add_subdirectory(gtk3proxies)
add_subdirectory(kded)
add_subdirectory(kconf_update)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kde-gtk-config (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)
  * Recommends xsettingsd, as specified by upstream runtime recommends.

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:45:50 +0100

kde-gtk-config (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:15 +0000

kde-gtk-config (4:5.18.2-0ubuntu2) focal; urgency=medium

  * Update installed files.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 27 Feb 2020 01:46:20 +0000

kde-gtk-config (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:27 +0000

kde-gtk-config (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:16 +0000

kde-gtk-config (4:5.18.0-0ubuntu2) focal; urgency=medium

  * Follow Debian unstable drop of testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2020 15:24:48 +0000

kde-gtk-config (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:37 +0000

kde-gtk-config (4:5.17.90-0ubuntu2) focal; urgency=medium

  * Merge from debian 4:5.17.5-1. Remaining changes:
    - New upstream (beta) release (5.17.90)
    - debian/control: Kubuntu Vcs fields.
    - Update install files, where the kcm and knsrc files moved
      to plasma-desktop in 5.17.90.
    - debian/tests: Keep files, but disable until can be dropped
      in next unstable release.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Jan 2020 09:11:31 +0000

kde-gtk-config (4:5.17.90-0ubuntu1) focal; urgency=medium

  * Update install files.
  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:07:29 +0000

kde-gtk-config (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Explicitly add the gettext build dependency.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Update install files.
  * Handle conffiles removal.
  * Stop passing -DDATA_INSTALL_DIR to cmake, as it is no more needed.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 21:59:35 +0100

kde-gtk-config (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:05 +0000

kde-gtk-config (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:23 +0000

kde-gtk-config (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:13 +0000

kde-gtk-config (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:26 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --with kf5,pkgkde_symbolshelper \
	      --buildsystem kf5 \
	      --without build_stamp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kde-gtk-config 5.18.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kde-gtk-config)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.8")
 cmake_minimum_required(VERSION 3.10)
 
 find_package(ECM REQUIRED NO_MODULE)

=== kded/CMakeLists.txt ===
set(kscreen_daemon_SRCS
    gtkconfig.cpp
    configeditor.cpp
    configvalueprovider.cpp
    themepreviewer.cpp
)

add_library(gtkconfig MODULE ${kscreen_daemon_SRCS})

target_compile_definitions(gtkconfig
  PUBLIC
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

target_include_directories(gtkconfig
  PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${GTK3_INCLUDE_DIRS}
)

target_link_libraries(gtkconfig
    Qt5::DBus
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::DBusAddons
    KF5::IconThemes
    ${GIO2_LIBRARY}
    ${GOBJECT2_LIBRARY}
)

install(TARGETS gtkconfig DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

=== debian/changelog ===
kde-gtk-config (4:5.18.8-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.8) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:40:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,33 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
+Build-Depends: cmake (>= 2.8.12~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 0.0.9),
+               gettext,
+               gsettings-desktop-schemas,
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev (>= 5.58.0~),
-               libkf5configwidgets-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5iconthemes-dev (>= 5.58.0~),
-               libkf5kcmutils-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5newstuff-dev (>= 5.58.0~),
+               libkf5archive-dev,
+               libkf5configwidgets-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5kcmutils-dev,
+               libkf5kio-dev,
+               libkf5newstuff-dev,
                libqt5svg5-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev,
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 
 Package: kde-config-gtk-style
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: xsettingsd
 Suggests: kde-config-gtk-style-preview
 Multi-Arch: same
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection

## kde-gtk-config 5.19.5

=== debian/changelog ===
kde-gtk-config (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:53:06 +0100

kde-gtk-config (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:41:23 +0100

kde-gtk-config (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:58:19 +0100

kde-gtk-config (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * Update install files.
  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:44:51 +0100

kde-gtk-config (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:39:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 12),
-               extra-cmake-modules (>= 0.0.9),
+               extra-cmake-modules (>= 5.70.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev,
-               libkf5configwidgets-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5kcmutils-dev,
-               libkf5kio-dev,
-               libkf5newstuff-dev,
+               libkf5archive-dev (>= 5.70.0~),
+               libkf5configwidgets-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5iconthemes-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
                libqt5svg5-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.15.16),

## kde-gtk-config 5.20.5

=== CMakeLists.txt ===
project(kde-gtk-config)
set(PROJECT_VERSION "5.20.5")
cmake_minimum_required(VERSION 3.10)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS DBus Svg)
find_package(KF5CoreAddons REQUIRED)
find_package(KF5Config REQUIRED)
find_package(KF5ConfigWidgets REQUIRED)
find_package(KF5GuiAddons REQUIRED)
find_package(KF5DBusAddons REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(KDecoration2 REQUIRED)
find_package(GSettingSchemas REQUIRED)
find_package(Sass REQUIRED)
find_package(XSettingsd)

pkg_check_modules(GTK+3 REQUIRED IMPORTED_TARGET gtk+-3.0)
pkg_check_modules(GTK+2 REQUIRED IMPORTED_TARGET gtk+-2.0)
pkg_check_modules(GLib2 REQUIRED IMPORTED_TARGET glib-2.0)
pkg_check_modules(GObject REQUIRED IMPORTED_TARGET gobject-2.0)
pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0)

include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

set_package_properties(XSettingsd PROPERTIES
    DESCRIPTION "XSettingsd daemon"
    TYPE RUNTIME
    PURPOSE "Required to apply settings to GTK applications on the fly"
)

set_package_properties(Sass PROPERTIES
    DESCRIPTION "SASS compiler"
    URL "https://sass-lang.com/"
    PURPOSE "Required for building a modification, that allows Breeze GTK to change it's window decorations' appearance"
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake kded/config.h)

add_subdirectory(gtk3proxies)
add_subdirectory(kded)
add_subdirectory(kconf_update)
add_subdirectory(color-reload-module)
add_subdirectory(window-decorations-reload-module)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== gtk3proxies/CMakeLists.txt ===
# gtk3 pulls in X11 headers, we need to add the include path if they are not in /usr/include
find_package(X11)

add_executable(gtk3_preview preview3.c)

if(X11_FOUND)
  target_include_directories(gtk3_preview PRIVATE ${X11_X11_INCLUDE_PATH})
endif()

target_compile_definitions(gtk3_preview PRIVATE "-DDATA_DIR=\"${KDE_INSTALL_FULL_DATADIR}/kcm-gtk-module/\"")
target_link_libraries(gtk3_preview PkgConfig::GTK+3 PkgConfig::GLib2 PkgConfig::GObject)
install(TARGETS gtk3_preview  RUNTIME DESTINATION "${LIBEXEC_INSTALL_DIR}")

=== kconf_update/CMakeLists.txt ===
add_executable(gtk_theme gtktheme.cpp)

target_sources(gtk_theme
  PRIVATE
    ../kded/configeditor.cpp
)

target_link_libraries(gtk_theme
  PRIVATE
    Qt5::Core
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::GuiAddons
    PkgConfig::GIO
    PkgConfig::GObject
)

target_include_directories(gtk_theme
  PRIVATE
    ../kded/
)

target_compile_definitions(gtk_theme
  PRIVATE
    QT_NO_SIGNALS_SLOTS_KEYWORDS
)

install(
  TARGETS
    gtk_theme
  DESTINATION
    ${LIB_INSTALL_DIR}/kconf_update_bin/
)
install(
  FILES
    gtkconfig.upd
  DESTINATION
    ${KCONF_UPDATE_INSTALL_DIR}
)
install(
  PROGRAMS
    remove_window_decorations_from_gtk_css.sh
  DESTINATION
    ${KDE_INSTALL_KCONFUPDATEDIR}
)

=== debian/changelog ===
kde-gtk-config (4:5.20.5-2) unstable; urgency=medium

  * Stop echoing debug messages to stdout (Closes: #979540)

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Jan 2021 07:37:55 +0900

kde-gtk-config (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

kde-gtk-config (4:5.20.4-3) unstable; urgency=medium

  * Recommend xsettingsd with alternative xsettings-kde instead of
    xsettings-kde only (thanks to Rik Mills)

 -- Norbert Preining <norbert@preining.info>  Mon, 28 Dec 2020 09:47:09 +0900

kde-gtk-config (4:5.20.4-2) unstable; urgency=medium

  [ Scarlett Moore ]
  * Add missing runtime dependency for xsettings-kde from cmake.
  * Add override for libexec lintian as due to upstream defaulting
    to this location and the fragile link to helpers it must remain.
    - kde-config-gtk-style - gtk_theme
    - kde-config-gtk-style-preview - gtk3_preview
  * Bump standard version to 4.5.1; no changes required.
  * Refresh copyright.
    - Update to upstream move to spdx format.
    - Remove obsolete entries.
    - Update new entries for all files.
    - Fix syntax on kdeev entry.

  [ Norbert Preining ]
  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

kde-gtk-config (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update list of installed files.

  [ Scarlett Moore ]
  * Add versioning to the kf5/qt5/plasma build dependencies.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 11 Nov 2020 12:53:33 +0900

kde-gtk-config (4:5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove unneeded --asneeded ldflag as it is default now.
  * Remove obsolete entries in d/upstream/metadata already
    defined in d/copyright.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:22 +0900

kde-gtk-config (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:39 +0900

kde-gtk-config (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 10:33:45 +0900

kde-gtk-config (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add myself to Uploaders.
  * Set/Update field Upstream-Contact in debian/copyright.
  * Update build-deps and deps with the info from cmake.

  [ Patrick Franz ]
  * Update files in debian/kde-config-gtk-style.install.
  * Update matching files in debian/copyright.
  * Update data in /debian/upstream/metadata.
  * Update field Source in debian/copyright.
  * Update Homepage in debian/control.
  * New upstream release (5.19.4).
  * Update build-deps and deps with the info from cmake.
  * Change Maintainer in debian/control to Debian Qt/KDE Maintainers.
  * Remove Maxy from Uploaders as requested.
  * Update debian/kde-config-gtk-style.install.
  * Add Lintian-override library-not-linked-against-libc for
    libcolorreload-gtk-module.so:
    - Library only uses glib/gio APIs resulting in no NEEDED on libc.

 -- Norbert Preining <norbert@preining.info>  Fri, 16 Oct 2020 10:28:55 +0900

kde-gtk-config (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:36:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,45 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Boris Pek <tehnick@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.70.0~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Boris Pek <tehnick@debian.org>,
+           Scarlett Moore <sgmoore@kde.org>,
+           Patrick Franz <patfra71@gmail.com>,
+           Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.10~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.74.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkf5archive-dev (>= 5.70.0~),
-               libkf5configwidgets-dev (>= 5.70.0~),
-               libkf5i18n-dev (>= 5.70.0~),
-               libkf5iconthemes-dev (>= 5.70.0~),
-               libkf5kcmutils-dev (>= 5.70.0~),
-               libkf5kio-dev (>= 5.70.0~),
-               libkf5newstuff-dev (>= 5.70.0~),
-               libqt5svg5-dev,
+               libkdecorations2-dev (>= 4:5.20.4~),
+               libkf5archive-dev (>= 5.74.0~),
+               libkf5config-dev (>= 5.74.0~),
+               libkf5configwidgets-dev (>= 5.74.0~),
+               libkf5coreaddons-dev (>= 5.74.0~),
+               libkf5dbusaddons-dev (>= 5.74.0~),
+               libkf5guiaddons-dev (>= 5.74.0~),
+               libkf5i18n-dev (>= 5.74.0~),
+               libkf5kcmutils-dev (>= 5.74.0~),
+               libkf5kio-dev (>= 5.74.0~),
+               libkf5newstuff-dev (>= 5.74.0~),
+               libqt5svg5-dev (>= 5.15.0~),
                libx11-dev,
+               pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev,
-Homepage: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Standards-Version: 4.4.1
+               qtbase5-dev (>= 5.15.0~),
+               sassc
+Homepage: https://invent.kde.org/plasma/kde-gtk-config
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 
 Package: kde-config-gtk-style
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: xsettingsd
+Recommends: xsettingsd | xsettings-kde
 Suggests: kde-config-gtk-style-preview
 Multi-Arch: same
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection

## kde-gtk-config 5.21.4

=== debian/changelog ===
kde-gtk-config (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:08:53 +0100

kde-gtk-config (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:32:47 +0000

kde-gtk-config (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:11:49 +0000

kde-gtk-config (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:22 +0000

kde-gtk-config (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:21:04 +0000

kde-gtk-config (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Drop included patch remove-window-reload-msg-to-stdout

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:44:05 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                gsettings-desktop-schemas,
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkdecorations2-dev (>= 4:5.20.4~),
+               libkdecorations2-dev (>= 4:5.21.4~),
                libkf5archive-dev (>= 5.74.0~),
                libkf5config-dev (>= 5.74.0~),
                libkf5configwidgets-dev (>= 5.74.0~),
@@ -29,7 +29,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
-               sassc
+               sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
